Package org.apache.sysds.parser

## Class AssignmentStatement

- java.lang.Object
- - org.apache.sysds.parser.Statement
  - - org.apache.sysds.parser.AssignmentStatement

- All Implemented Interfaces:
    `ParseInfo`

      public class AssignmentStatement
      extends Statement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.parser.Statement

      `Statement.FederatedPSScheme, Statement.PSCheckpointing, Statement.PSFrequency, Statement.PSModeType, Statement.PSRuntimeBalancing, Statement.PSScheme, Statement.PSUpdateType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.parser.Statement

      `BOOLEAN_VALUE_TYPE, DOUBLE_VALUE_TYPE, FRAME_DATA_TYPE, GAGG_FN, GAGG_FN_CM, GAGG_FN_CM_ORDER, GAGG_FN_COUNT, GAGG_FN_MAX, GAGG_FN_MEAN, GAGG_FN_MIN, GAGG_FN_SUM, GAGG_FN_VARIANCE, GAGG_GROUPS, GAGG_NUM_GROUPS, GAGG_TARGET, GAGG_WEIGHTS, INT_VALUE_TYPE, MATRIX_DATA_TYPE, OUTPUTSTATEMENT, PS_AGGREGATION_FUN, PS_BATCH_SIZE, PS_CHECKPOINTING, PS_EPOCHS, PS_FEATURES, PS_FED_AGGREGATION_FNAME, PS_FED_BATCH_SIZE, PS_FED_DATA_SIZE, PS_FED_GRADIENTS_FNAME, PS_FED_MODEL_VARID, PS_FED_NAMESPACE, PS_FED_POSS_BATCHES_LOCAL, PS_FED_RUNTIME_BALANCING, PS_FED_WEIGHTING, PS_FREQUENCY, PS_GRADIENTS, PS_HE, PS_HYPER_PARAMS, PS_LABELS, PS_MODE, PS_MODEL, PS_MODELAVG, PS_NBATCHES, PS_PARALLELISM, PS_SCHEME, PS_SEED, PS_UPDATE_FUN, PS_UPDATE_TYPE, PS_VAL_FEATURES, PS_VAL_FUN, PS_VAL_LABELS, SCALAR_DATA_TYPE, SEQ_FROM, SEQ_INCR, SEQ_TO, SETWD, SOURCE, STRING_VALUE_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AssignmentStatement​(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier di, Expression exp)` |
    `AssignmentStatement​(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier di, Expression exp, String filename)` |
    `AssignmentStatement​(DataIdentifier di, Expression exp)` |
    `AssignmentStatement​(DataIdentifier di, Expression exp, ParseInfo parseInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `controlStatement()` |
    `Expression` | `getSource()` |
    `DataIdentifier` | `getTarget()` |
    `ArrayList<DataIdentifier>` | `getTargetList()` |
    `VariableSet` | `initializebackwardLV​(VariableSet lo)` |
    `void` | `initializeforwardLV​(VariableSet activeIn)` |
    `boolean` | `isAccumulator()` |
    `Statement` | `rewriteStatement​(String prefix)` |
    `void` | `setAccumulator​(boolean flag)` |
    `void` | `setSource​(Expression s)` |
    `void` | `setTarget​(DataIdentifier di)` |
    `String` | `toString()` |
    `VariableSet` | `variablesRead()` |
    `VariableSet` | `variablesUpdated()` |

    - ### Methods inherited from class org.apache.sysds.parser.Statement

      `getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getText, isEmptyNewLineStatement, printErrorLocation, printWarningLocation, raiseValidateError, raiseValidateError, setBeginColumn, setBeginLine, setCtxValues, setCtxValuesAndFilename, setEmptyNewLineStatement, setEndColumn, setEndLine, setFilename, setParseInfo, setText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssignmentStatement

          public AssignmentStatement​(DataIdentifier di,
                                     Expression exp)

    - #### AssignmentStatement

          public AssignmentStatement​(DataIdentifier di,
                                     Expression exp,
                                     ParseInfo parseInfo)

    - #### AssignmentStatement

          public AssignmentStatement​(org.antlr.v4.runtime.ParserRuleContext ctx,
                                     DataIdentifier di,
                                     Expression exp)

    - #### AssignmentStatement

          public AssignmentStatement​(org.antlr.v4.runtime.ParserRuleContext ctx,
                                     DataIdentifier di,
                                     Expression exp,
                                     String filename)

  - ### Method Detail

    - #### rewriteStatement

          public Statement rewriteStatement​(String prefix)

      Specified by:
        `rewriteStatement` in class `Statement`

    - #### getTarget

          public DataIdentifier getTarget()

    - #### getTargetList

          public ArrayList<DataIdentifier> getTargetList()

    - #### setTarget

          public void setTarget​(DataIdentifier di)

    - #### getSource

          public Expression getSource()

    - #### setSource

          public void setSource​(Expression s)

    - #### isAccumulator

          public boolean isAccumulator()

    - #### setAccumulator

          public void setAccumulator​(boolean flag)

    - #### controlStatement

          public boolean controlStatement()

      Specified by:
        `controlStatement` in class `Statement`

    - #### initializeforwardLV

          public void initializeforwardLV​(VariableSet activeIn)

      Specified by:
        `initializeforwardLV` in class `Statement`

    - #### initializebackwardLV

          public VariableSet initializebackwardLV​(VariableSet lo)

      Specified by:
        `initializebackwardLV` in class `Statement`

    - #### variablesRead

          public VariableSet variablesRead()

      Specified by:
        `variablesRead` in class `Statement`

    - #### variablesUpdated

          public VariableSet variablesUpdated()

      Specified by:
        `variablesUpdated` in class `Statement`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`